<?php 
include ('../conn/conn.php');

if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    if (isset($_POST['date'], $_POST['day'], $_POST['am_in'], $_POST['am_out'], $_POST['pm_in'], $_POST['pm_out'], $_POST['task'])) {
        $date = $_POST['date'];
        $day = $_POST['day'];
        $amIn = $_POST['am_in'];
        $amOut = $_POST['am_out'];
        $pmIn = $_POST['pm_in'];
        $pmOut = $_POST['pm_out'];
        $task = $_POST['task'];

        $amWorkedHours = (strtotime($amOut) - strtotime($amIn)) / 3600;
        $pmWorkedHours = (strtotime($pmOut) - strtotime($pmIn)) / 3600;

        $workedHours = number_format($amWorkedHours + $pmWorkedHours, 2);

        try {
            $checkStmt = $conn->prepare("SELECT date FROM tbl_timesheet WHERE date = :date");
            $checkStmt->bindParam(":date", $date, PDO::PARAM_STR);
            $checkStmt->execute();

            $dateExist = $checkStmt->fetch(PDO::FETCH_ASSOC);

            if (empty($dateExist)) {

                $conn->beginTransaction();

                $stmt = $conn->prepare("INSERT INTO tbl_timesheet (date, day, am_in, am_out, pm_in, pm_out, worked_hours, task) VALUES (:date, :day, :am_in, :am_out, :pm_in, :pm_out, :worked_hours, :task)");
    
                $stmt->bindParam(":date", $date, PDO::PARAM_STR);
                $stmt->bindParam(":day", $day, PDO::PARAM_STR);
                $stmt->bindParam(":am_in", $amIn, PDO::PARAM_STR);
                $stmt->bindParam(":am_out", $amOut, PDO::PARAM_STR);
                $stmt->bindParam(":pm_in", $pmIn, PDO::PARAM_STR);
                $stmt->bindParam(":pm_out", $pmOut, PDO::PARAM_STR);
                $stmt->bindParam(":worked_hours", $workedHours, PDO::PARAM_STR);
                $stmt->bindParam(":task", $task, PDO::PARAM_STR);
    
                $stmt->execute();
                $conn->commit();
    
                echo "
                    <script>
                        alert('Timesheet added successfully!');
                        window.location.href = 'http://localhost/online-timesheet/';
                    </script>
                ";
            } else {
                echo "
                    <script>
                        alert('Timesheet date already exists!');
                        window.location.href = 'http://localhost/online-timesheet/';
                    </script>
                ";
            }

        } catch (PDOException $e) {
            $conn->rollBack();
            echo "
                <script>
                    alert('Error: " . $e->getMessage() . "');
                    window.location.href = 'http://localhost/online-timesheet/';
                </script>
            ";
        }
    } else {
        echo "
            <script>
                alert('Fill all the inputs!');
                window.location.href = 'http://localhost/online-timesheet/';
            </script>
        ";
    }
}
?>
