<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Online Timesheet App</title>

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">

    <style>
        @import url('https://fonts.googleapis.com/css2?family=Poppins:wght@500&display=swap');

        * {
            margin: 0;
            padding: 0;
            font-family: 'Poppins', sans-serif;
        }

        body {
            background-image: url('https://images.unsplash.com/photo-1435527173128-983b87201f4d?q=80&w=2067&auto=format&fit=crop&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D');
            background-repeat: no-repeat;
            background-size: cover;
            background-attachment: fixed;
        }

        .main {
            display: flex;
            justify-content: center;
            align-items: center;
            background: rgba(255, 255, 255, 0.3);
            height: 93.6vh;
        }

        .timesheet-container {
            width: 1300px;
            height: 750px;
            background-color: rgba(255, 255, 255, 0.9);
            border-radius: 10px;
            box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
            padding: 34px;
        }

        .action-button {
            display: flex;
            justify-content: center;
            align-items: center;
        }

        td > .btn {
            display: flex;
            justify-content: center;
            align-items: center;
            font-size: 15px;
            width: 20px;
            height: 20px;
            margin: 1px;
        }
    </style>
</head>
<body>

    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand ml-3" href="#">Online Timesheet App</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
    </nav>
    
    <div class="main">
        <div class="timesheet-container">

            <div class="timesheet-header row">
                <h4 class="col-10">Timesheet</h4>
                <button class="btn btn-secondary ml-4" data-toggle="modal" data-target="#addTimesheetModal">Add Timesheet</button>
            </div>

            <!-- Add Modal -->
            <div class="modal fade" id="addTimesheetModal" tabindex="-1" aria-labelledby="addTimesheet" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content mt-5">
                        <div class="modal-header">
                            <h5 class="modal-title" id="addTimesheet">Add Timesheet</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <form action="./endpoint/add-timesheet.php" method="POST">
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="date">Date:</label>
                                        <input type="date" class="form-control" id="date" name="date">
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="day">Day of the Week:</label>
                                        <input type="text" class="form-control" id="day" name="day">
                                    </div>
                                </div>
                                <hr>
                                <h5>AM</h5>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="amTimeIn">Time In:</label>
                                        <input type="time" class="form-control" id="amTimeIn" name="am_in">
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="amTimeOut">Time Out:</label>
                                        <input type="time" class="form-control" id="amTimeOut" name="am_out">
                                    </div>
                                </div>
                                <hr>
                                <h5>PM</h5>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="pmTimeIn">Time In:</label>
                                        <input type="time" class="form-control" id="pmTimeIn" name="pm_in">
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="pmTimeOut">Time Out:</label>
                                        <input type="time" class="form-control" id="pmTimeOut" name="pm_out">
                                    </div>
                                </div>
                                <hr>
                                <div class="form-group">
                                    <label for="task">Task:</label>
                                    <textarea class="form-control" name="task" id="task" name="task" cols="30" rows="5"></textarea>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                    <button type="submit" class="btn btn-dark">Add Timesheet</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Update Modal -->
            <div class="modal fade" id="updateTimesheetModal" tabindex="-1" aria-labelledby="updateTimesheet" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content mt-5">
                        <div class="modal-header">
                            <h5 class="modal-title" id="updateTimesheet">Update Timesheet</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <form action="./endpoint/update-timesheet.php" method="POST">
                                <div class="form-row">
                                    <input type="hidden" class="form-control" id="updateTimesheetID" name="tbl_timesheet_id">
                                    <div class="form-group col-md-6">
                                        <label for="updateDate">Date:</label>
                                        <input type="date" class="form-control" id="updateDate" name="date">
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="updateDay">Day of the Week:</label>
                                        <input type="text" class="form-control" id="updateDay" name="day">
                                    </div>
                                </div>
                                <hr>
                                <h5>AM</h5>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="updateAmTimeIn">Time In:</label>
                                        <input type="time" class="form-control" id="updateAmTimeIn" name="am_in">
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="updateAmTimeOut">Time Out:</label>
                                        <input type="time" class="form-control" id="updateAmTimeOut" name="am_out">
                                    </div>
                                </div>
                                <hr>
                                <h5>PM</h5>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="updatePmTimeIn">Time In:</label>
                                        <input type="time" class="form-control" id="updatePmTimeIn" name="pm_in">
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="updatePmTimeOut">Time Out:</label>
                                        <input type="time" class="form-control" id="updatePmTimeOut" name="pm_out">
                                    </div>
                                </div>
                                <hr>
                                <div class="form-group">
                                    <label for="updateTask">Task:</label>
                                    <textarea class="form-control" name="task" id="updateTask" name="updateTask" cols="30" rows="5"></textarea>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                    <button type="submit" class="btn btn-dark">Update Timesheet</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

            <hr>
            <div class="timesheet-table  m-4">
                <table class="table table-hover table-sm text-center">
                    <thead class="thead-light">
                        <tr>
                            <th scope="col">Date</th>
                            <th scope="col">Day of the Week</th>
                            <th scope="col">(AM) Time In</th>
                            <th scope="col">(AM) Time Out</th>
                            <th scope="col">(PM) Time In</th>
                            <th scope="col">(PM) Time Out</th>
                            <th scope="col">Worked Hours</th>
                            <th scope="col">Task</th>
                            <th scope="col">Action</th>
                        </tr>
                    </thead>
                    <tbody>

                        <?php 
                            include ('./conn/conn.php');

                            $stmt = $conn->prepare("SELECT * FROM tbl_timesheet");
                            $stmt->execute();

                            $result = $stmt->fetchAll();

                            foreach ($result as $row) {
                                $timesheetID = $row['tbl_timesheet_id'];
                                $date = $row['date'];
                                $day = $row['day'];
                                $amIn = $row['am_in'];
                                $amOut = $row['am_out'];
                                $pmIn = $row['pm_in'];
                                $pmOut = $row['pm_out'];
                                $workedHours = $row['worked_hours'];
                                $task = $row['task'];
                                ?>

                                <tr class="m-2">
                                    <td id="timesheetID-<?= $timesheetID ?>" hidden><?= $timesheetID ?></td>
                                    <th id="date-<?= $timesheetID ?>"><?= $date ?></th>
                                    <td id="day-<?= $timesheetID ?>"><?= $day ?></td>
                                    <td id="amIn-<?= $timesheetID ?>"><?= $amIn ?></td>
                                    <td id="amOut-<?= $timesheetID ?>"><?= $amOut ?></td>
                                    <td id="pmIn-<?= $timesheetID ?>"><?= $pmIn ?></td>
                                    <td id="pmOut-<?= $timesheetID ?>"><?= $pmOut ?></td>
                                    <td id="workedHours-<?= $timesheetID ?>"><?= $workedHours ?></td>
                                    <td id="task-<?= $timesheetID ?>"><?= $task ?></td>
                                    <td class="action-button">
                                        <button class="btn btn-secondary" onclick="updateTimesheet(<?php echo $timesheetID ?>)" title="Edit">&#9998;</button>
                                        <button class="btn btn-danger" onclick="deleteTimesheet(<?php echo $timesheetID ?>)">&#128465;</button>
                                    </td>
                                </tr>

                                <?php
                            }
                        
                        ?>
                    
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>

    <script>
        function updateTimesheet(id) {
            $("#updateTimesheetModal").modal("show");

            let updateTimesheetID = $("timesheetID-" + id).text();
            let updateDate = $("#date-" + id).text();
            let updateDay = $("#day-" + id).text();
            let updateAmTimeIn = $("#amIn-" + id).text();
            let updateAmTimeOut = $("#amOut-" + id).text();
            let updatePmTimeIn = $("#pmIn-" + id).text();
            let updatePmTimeOut = $("#pmOut-" + id).text();
            let updateTask = $("#task-" + id).text();

            $("#updateTimesheetID").val(updateTimesheetID);
            $("#updateDate").val(updateDate);
            $("#updateDay").val(updateDay);
            $("#updateAmTimeIn").val(updateAmTimeIn);
            $("#updateAmTimeOut").val(updateAmTimeOut);
            $("#updatePmTimeIn").val(updatePmTimeIn);
            $("#updatePmTimeOut").val(updatePmTimeOut);
            $("#updateTask").val(updateTask);
        }

        function deleteTimesheet(id) {
            if (confirm("Do you want to delete this timesheet?")) {
                window.location = "./endpoint/delete-timesheet.php?timesheet=" + id;
            }
        }
    </script>
</body>
</html>